moDrawPageBriefing = {};

function moDrawPageBriefing:setOpenPage(self)	
	--local fixDifferenz = 0.007+moSetGetGui.pdaMenueSize/2;
	local posX = moSetGetGui.pdaMenuePosX;
	local posY = moSetGetGui.pdaMenuePosY;
	local posWidth = moSetGetGui.pdaMenuePosWidth;
	local posHeight = moSetGetGui.pdaMenuePosHeight;
	local posBFruit = moSetGetGui.pdaMenueSize/3*(moDefault.lengthFruitName+4)*1.03;
	local posBAmount = moSetGetGui.pdaMenueSize/3*(moDefault.lengthAmount)*1.03;
	local posBStation = moSetGetGui.pdaMenueSize/3*(moDefault.lengthStation)*1.03;
	--local posXDif = moSetGetGui.buttonGfxWidth4*moGuiMiniPDAsetGet.zoomOutInTemp;
	local posYDif = moSetGetGui.buttonGfxHeight5*moGuiMiniPDAsetGet.zoomOutInTemp;
	local firstPosXY = posY-(moSetGetGui.pdaMenueSize/1.17);
	setTextBold(true);	
	function nextLine(posNew, setLine)
		if setLine then
			moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX-moSetGetGui.pdaMenueLineDif, firstPosXY-moSetGetGui.pdaMenueLineDif-0.002, (posBFruit+posBAmount+posBStation)/2, 0.001);
			moSetGetGui["designLine"]:render();
		end;			
		firstPosXY = firstPosXY-(moSetGetGui.pdaMenueSize+posNew);
		posHeight = posHeight+moSetGetGui.pdaMenueSize+posNew;
		posY = posY-(moSetGetGui.pdaMenueSize+posNew);			
	end;
	moSetGetGui["designGround"]:render();				
	moSetGetGui["page"]:render();
	if moSetGetGui.pdaActivePage == 2 then					
		if not g_currentMission.missionDynamicInfo.isMultiplayer and moDefault.loadDemandPage2 or moDefault.loadDemandPage2Disable and moDefault.loadDemandPage2 then			
			--setTextColor(unpack(moGuiMiniPDAsetGet.activeColor));
			renderText(moGuiPDAcfgAreas[2][2], moGuiPDAcfgAreas[2][3]+(posYDif), moSetGetGui.pdaMenueSizeDefault, "MissionsBriefing: (!mouseswitch!)");
			setTextColor(unpack(moGuiMiniPDAsetGet.inactiveColor));
			local dayMission = g_currentMission.environment.currentDay;
			if moSetGetGui.pageSwitch[moSetGetGui.pdaActivePage] == 0 then
				local greatDemand = 0;
				if moDemand ~= nil and table.getn(moDemand) > 2 then greatDemand = moDemand.isRunning;setTextColor(unpack(moGuiMiniPDAsetGet.activeColor));end;
				renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['greatDemand'.. moDefault.language]).. tostring(greatDemand));
				nextLine(0.005, true);		
				if moDemand.allDemands ~= 0 then
					for a=1, moDemand.allDemands do
						if moDemand[a] ~= nil and moDemand[a].isRunning ~= nil then
							if moDemand[a].isRunning then 
								setTextColor(unpack(moGuiMiniPDAsetGet.warningColor0));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Station: ".. tostring(moDemand[a].stationName));
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Fruit: ".. tostring(moDemand[a].fillTypeName));
								nextLine(0.005, false);
								local demandMultiplier = string.format("%.2f", Utils.getNoNil(moDemand[a].demandMultiplier,0));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Factor: x".. tostring(demandMultiplier));
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Time: ".. tostring(moDemand[a].demandDuration).. "h");
								nextLine(0.005, true);
							else
								setTextColor(unpack(moGuiMiniPDAsetGet.warningColor2));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Station: ".. tostring(moDemand[a].stationName));
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Fruit: ".. tostring(moDemand[a].fillTypeName));
								nextLine(0.005, false);
								local day = unpack(moLanguage.extern['day'.. math.mod(moDemand[a].startDay, 7).. moDefault.language]);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Day: ".. tostring(moDemand[a].startDay).. tostring(day).. " at ".. tostring(moDemand[a].startDay-dayMission).. " day(s)");
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Hours: ".. tostring(moDemand[a].startHour).. ":00");
								nextLine(0.005, false);
								local demandMultiplier = string.format("%.2f", Utils.getNoNil(moDemand[a].demandMultiplier,0));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Factor: x".. tostring(demandMultiplier));
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Time: ".. tostring(moDemand[a].demandDuration).. "h");
								nextLine(0.005, true);
							end;
						end;
					end;
				end;
			end;
			if moSetGetGui.pageSwitch[moSetGetGui.pdaActivePage] == 1 then
				local greatSales = 0;
				if moSales ~= nil and table.getn(moSales) > 2 then greatSales = moSales.isRunning;setTextColor(unpack(moGuiMiniPDAsetGet.activeColor));end;
				renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['greatSales'.. moDefault.language]).. tostring(greatSales));
				nextLine(0.005, true);			
				if moSales.allSales ~= 0 then
					for a=1, moSales.allSales do					
						if moSales[a] ~= nil and moSales[a].isRunning ~= nil then
							if moSales[a].isRunning then 
								setTextColor(unpack(moGuiMiniPDAsetGet.warningColor0));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandName'.. moDefault.language]).. tostring(moSales[a].brandName));
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandType'.. moDefault.language]).. tostring(moSales[a].brandTypeName).. " (".. tostring(moSales[a].brandCategory).. ")");
								nextLine(0.005, false);
								local discount = string.format("%.0f", Utils.getNoNil(moSales[a].discount,0));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Discount: -".. tostring(discount).. "%");
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandPrice'.. moDefault.language]).. g_i18n:formatMoney(moSales[a].oldPrice).. " (".. g_i18n:formatMoney(moSales[a].newPrice).. ")");
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Time: ".. tostring(moSales[a].saleDuration).. "h");
								nextLine(0.005, true);
							else
								setTextColor(unpack(moGuiMiniPDAsetGet.warningColor2));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandName'.. moDefault.language]).. tostring(moSales[a].brandName));
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandType'.. moDefault.language]).. tostring(moSales[a].brandTypeName).. " (".. tostring(moSales[a].brandCategory).. ")");
								nextLine(0.005, false);						
								local day = unpack(moLanguage.extern['day'.. math.mod(moSales[a].startDay, 7).. moDefault.language]);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Day: ".. tostring(moSales[a].startDay).. tostring(day).. " at ".. tostring(moSales[a].startDay-dayMission).. " day(s)");
								nextLine(0.005, false);						
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Hours: ".. tostring(moSales[a].startHour).. ":00");
								nextLine(0.005, false);
								local discount = string.format("%.0f", Utils.getNoNil(moSales[a].discount,0));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Discount: -".. tostring(discount).. "%");
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandPrice'.. moDefault.language]).. g_i18n:formatMoney(moSales[a].oldPrice).. " (".. g_i18n:formatMoney(moSales[a].newPrice).. ")");
								nextLine(0.005, false);						
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Time: ".. tostring(moSales[a].saleDuration).. "h");
								nextLine(0.005, true);
							end;
						end;
					end;
				end;
				if moBrandSales ~= nil then
					setTextColor(unpack(moGuiMiniPDAsetGet.inactiveColor));
					local brandSales = 0;
					if moBrandSales ~= nil then brandSales = 1;setTextColor(unpack(moGuiMiniPDAsetGet.activeColor));end;
					renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandSales'.. moDefault.language]).. tostring(brandSales));
					nextLine(0.005, true);
					if moBrandSales ~= nil then					
						if moBrandSales.isRunning ~= nil then
							if moBrandSales.isRunning then 
								setTextColor(unpack(moGuiMiniPDAsetGet.warningColor0));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandName'.. moDefault.language]).. tostring(moBrandSales.brandName));
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandType'.. moDefault.language]).. tostring(moBrandSales.brandTypeName).. " (".. tostring(moBrandSales.brandCategory).. ")");
								nextLine(0.005, false);	
								local discount = string.format("%.0f", Utils.getNoNil(moBrandSales.discount,0));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Discount: +".. tostring(discount).. "%");
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandPrice'.. moDefault.language]).. tostring(moBrandSales.oldPrice).. " € (".. tostring(moBrandSales.newPrice).. " €)");
								nextLine(0.005, false);						
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Time: ".. tostring(moBrandSales.saleDuration).. "h");
								nextLine(0.005, true);
							else
								setTextColor(unpack(moGuiMiniPDAsetGet.warningColor2));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandName'.. moDefault.language]).. tostring(moBrandSales.brandName));
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandType'.. moDefault.language]).. tostring(moBrandSales.brandTypeName).. " (".. tostring(moBrandSales.brandCategory).. ")");
								nextLine(0.005, false);					
								local day = unpack(moLanguage.extern['day'.. math.mod(moBrandSales.startDay, 7).. moDefault.language]);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Day: ".. tostring(moBrandSales.startDay).. tostring(day).. " at ".. tostring(moBrandSales.startDay-dayMission).. " day(s)");
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Hours: ".. tostring(moBrandSales.startHour).. ":00");
								nextLine(0.005, false);
								local discount = string.format("%.0f", Utils.getNoNil(moBrandSales.discount,0));
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Discount: +".. tostring(discount).. "%");
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['brandPrice'.. moDefault.language]).. g_i18n:formatMoney(moBrandSales.oldPrice).. " (".. g_i18n:formatMoney(moBrandSales.newPrice).. ")");
								nextLine(0.005, false);
								renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "Time: ".. tostring(moBrandSales.saleDuration).. "h");
								nextLine(0.005, true);
							end;
						end;					
					end;
				end;
			end;
		else
			setTextColor(unpack(moGuiExtras.colors['red']));
			renderText(moGuiPDAcfgAreas[2][2], moGuiPDAcfgAreas[2][3]+(posYDif), moSetGetGui.pdaMenueSizeDefault, "MissionsBriefing: (disabled)");			
		end;
		moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX-moSetGetGui.pdaMenueSizeDif, posY-moSetGetGui.pdaMenueSizeDif, (posBFruit+posBAmount+posBStation+moSetGetGui.pdaMenueSizeDif)/2, posHeight+moSetGetGui.pdaMenueSize);
	end;		
	setTextBold(false);
	setTextColor(false);
	setTextAlignment(false);
	renderText(false);	
end;